#ifndef GAME_H
#define GAME_H

#include "input/Buttons.h"
#include "input/Controller.h"
#include "utils/Clock.h"
#include "rendering/Renderer.h"

class Game final {
public:
    Game(Controller& c, const Clock& fps, const Clock& tps);

    void tick();
    void render(float lag, Renderer& renderer) const;

    bool isRunning() const;

private:
    const Controller& controller;
    const Clock& fps;
    const Clock& tps;
};

#endif