#include "rendering/Mesh.h"
#include "gaming-core/wrapper/Attributes.h"

Mesh::Mesh() {
    vertexBuffer.setAttributes(Attributes().addFloat(3).addFloat(2).addFloat(3));
}

void Mesh::add(const VertexData& data) {
    buffer.add(data);
}

void Mesh::clear() {
    buffer.clear();
}

void Mesh::build() {
    vertexBuffer.setStaticData(sizeof (VertexData) * buffer.getLength(), buffer.begin());
}

void Mesh::draw() {
    vertexBuffer.draw(buffer.getLength());
}