#ifndef MESH_H
#define MESH_H

#include "gaming-core/wrapper/VertexBuffer.h"
#include "utils/List.h"

struct Mesh final {

    struct VertexData final {
        float x;
        float y;
        float z;
        float tx;
        float ty;
        float nx;
        float ny;
        float nz;
    };

private:
    VertexBuffer vertexBuffer;
    List<VertexData, 65536 * 2> buffer;

public:
    Mesh();

    void add(const VertexData& data);

    void clear();
    void build();
    void draw();
};

#endif